org.bouncycastle.jce.spec

## Class GOST3410PublicKeyParameterSetSpec

- java.lang.Object
- - org.bouncycastle.jce.spec.GOST3410PublicKeyParameterSetSpec

    public class GOST3410PublicKeyParameterSetSpec
    extends java.lang.Object

ParameterSpec for a GOST 3410-94 key parameters.

### Constructor Summary

Constructors
Constructor and Description
`GOST3410PublicKeyParameterSetSpec(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)` Creates a new GOST3410ParameterSpec with the specified parameter values.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.math.BigInteger` `getA()` Returns the base `a`.
`java.math.BigInteger` `getP()` Returns the prime `p`.
`java.math.BigInteger` `getQ()` Returns the sub-prime `q`.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410PublicKeyParameterSetSpec

    public GOST3410PublicKeyParameterSetSpec(java.math.BigInteger p,
                                     java.math.BigInteger q,
                                     java.math.BigInteger a)

Creates a new GOST3410ParameterSpec with the specified parameter values.

Parameters:
  `p` - the prime.
  `q` - the sub-prime.
  `a` - the base.

### Method Detail

#### getP

    public java.math.BigInteger getP()

Returns the prime `p`.

Returns:
  the prime `p`.

#### getQ

    public java.math.BigInteger getQ()

Returns the sub-prime `q`.

Returns:
  the sub-prime `q`.

#### getA

    public java.math.BigInteger getA()

Returns the base `a`.

Returns:
  the base `a`.

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`